﻿using System;
using System.Collections.Generic;

namespace SampleCode
{
	public class CollectionInitializers
	{
		public CollectionInitializers()
		{
			var animalTypes = new List<String>();
			animalTypes.Add("Dog");
			animalTypes.Add("Cat");
			animalTypes.Add("Horse");

			#region Using Collection Initializers on List<T>

			var animalTypes2 = new List<String> {"Dog", "Cat", "Horse"};

			#endregion
		}

		private class Customer
		{
			public int ID { get; set; }
			public string Name { get; set; }
			public decimal Balance { get; set; }
		}
	}
}
