﻿using System;
using System.Collections.Generic;

namespace SampleCode
{
	public class ImplicitlyTypedLocalVarsAndArrays
	{
		public ImplicitlyTypedLocalVarsAndArrays()
		{
			//List<String> items = new List<string>();
			var items = new List<String>();

			// using var on return variables can be ambiguous
			var result = DoSomething();

			// use more descriptive variables and method names
			// when using 'var'
			var balance = GetCustomerBalance();
		}

		private int DoSomething()
		{
			return 0;
		}

		private decimal GetCustomerBalance()
		{
			return 0;
		}

		public void Arrays()
		{
			//String[] names = new string[] {"bob", "sue", "mike"};
			var names = new[] { "bob", "sue", "mike" };
		}
	}
}
